
Redmine - Feature #9446

Provide a way to let a user select one role from the roles he's allowed to take

2011-10-21 12:09 - Marcel Loose

Status: New Start date: 2011-10-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'm in the situation where I've been given different roles. Currently, this means that Redmine grants me all the privileges that come

with the different roles I have.

I would like to be able to select one role from the list of roles I'm allowed to take. This way, when I'm wearing my Developer's hat, I'm

only granted the privileges associated with a Developer. But when I'm wearing my Change Control Board hat, I'm given more

privileges (e.g. change the status of an issue to OnHold, which a developer is not allowed to do).

History

#1 - 2011-10-21 15:01 - Etienne Massip

- Category set to Permissions and roles

#2 - 2011-10-23 21:11 - Didier Me

- Assignee set to Jean-Philippe Lang

- % Done changed from 0 to 20

#3 - 2011-10-23 21:13 - Didier Me

- Status changed from New to Resolved

this is it

#4 - 2011-10-23 22:00 - Etienne Massip

- Status changed from Resolved to New

- Assignee deleted (Jean-Philippe Lang)

- % Done changed from 20 to 0

#5 - 2011-10-25 02:07 - K. Scott Tripp

+1 for this feature.

#6 - 2023-07-10 13:24 - Big Yellow Dump Track

+1 for this
